<?php
/*
 * mailscript.php _2_
 * Version vom 24.04.2021
 * Weiterleitung auf die gleiche Seite mit Hinweis auf den Versand
 * Erfolgreich getestet mit: PHPMailer Version: 6.4.0
 */

// PHPMailer einbinden
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

require __DIR__ . '/PHPMailer-master/src/Exception.php';
require __DIR__ . '/PHPMailer-master/src/PHPMailer.php';

// Empfänger
// An diese E-Mail-Adresse wird die Nachricht gesendet. Bitte einen Namen und eMail sowie den Seitennamen der Formularseite eintragen:
$empfaengerName = "John Doe"; // Name des Empfängers anpassen
$empfaengerEmail = "john@example.com"; // E-Mail des Empfängers anpassen
$formularSeite = "test-example-form.php"; // Dateiname des Formulars anpassen

// Betreff
// Jede E-Mail benötigt einen Betreff, da jedoch im Formular kein
// entsprechendes Feld gesetzt wurde, wird ein fester Betreff hinzugefügt.
$betreffEmail = "Kontaktformular Homepage";


// Wurden POST-Daten gesendet?
if ($_SERVER["REQUEST_METHOD"] == "POST") {

  // Zeitzone und das aktuelle Datum setzen
  date_default_timezone_set("Europe/Berlin");
  $datum = date("d.m.Y H:i");

  // HTML-Tags entfernen
  $_POST = array_map('strip_tags', $_POST);

  // Inhalt der E-Mail setzen
  $inhaltEmail = "Gesendet am: $datum Uhr
   Name: " . $_POST["name"] . "
   E-Mail: " . $_POST["email"] . "
   Telefon: " . $_POST["phone"] . "   

   Nachricht: " . $_POST["message"] . "
  ";

  // Instanz und Zeichenkodierung setzen
  $mail = new PHPMailer();
  $mail->CharSet = "UTF-8";

  // Absender und Empfänger setzen
  $mail->setFrom($_POST["email"], $_POST["name"]);
  $mail->addAddress($empfaengerEmail, $empfaengerName);

  // Betreff und Body setzen
  $mail->Subject = $betreffEmail;
  $mail->Body = $inhaltEmail;

 // E-Mail versenden
 if ($mail->Send()) {
  header("Location: " . $formularSeite . '?status=OK');
 }
 else {
  header("Location: " . $formularSeite . '?status=KO');
 }
}
?>